summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2017-04-25 19:30:08 -0400
committerMike Gilbert <floppym@gentoo.org>2017-04-25 19:30:31 -0400
commitcbf8335bf45dcd04d19c944381adc9dcf3d1be35 (patch)
treedaa347b2e8f445a46119004463f58254f158fe51 /sys-boot
parentsys-fs/bindfs: remove old (diff)
downloadgentoo-cbf8335bf45dcd04d19c944381adc9dcf3d1be35.tar.gz
gentoo-cbf8335bf45dcd04d19c944381adc9dcf3d1be35.tar.bz2
gentoo-cbf8335bf45dcd04d19c944381adc9dcf3d1be35.zip
sys-boot/gnu-efi: bump to 3.0.5
Package-Manager: Portage-2.3.5_p31, Repoman-2.3.2_p61
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/gnu-efi/Manifest1
-rw-r--r--sys-boot/gnu-efi/gnu-efi-3.0.5.ebuild78
2 files changed, 79 insertions, 0 deletions
diff --git a/sys-boot/gnu-efi/Manifest b/sys-boot/gnu-efi/Manifest
index 30dc6228063..4427999c61d 100644
--- a/sys-boot/gnu-efi/Manifest
+++ b/sys-boot/gnu-efi/Manifest
@@ -1,5 +1,6 @@
DIST gnu-efi-3.0.2.tar.bz2 136134 SHA256 194b580ecdb1fad0e41914845ba064c279afb687855960b58693459e5537b4d7 SHA512 960dc0374dd63dea5eb25e2bf6670d3f7474ebeca2090514c2895b28ff6e058a852958d028eadbe156df4645bd04d1a93ffaae1153861fce6e7da72f8f9dbeec WHIRLPOOL 3e692058a74f3f42867f84fe6af41cc0911280b2a295c441b2c4e27d116f162e0d166fe713b8eb15a6c6a8184037bae34db6ee1f0fdf7c2f9e53ee8215b2cfdb
DIST gnu-efi-3.0.3.tar.bz2 142229 SHA256 c530f21a15fd9c214dd92d29a6caa20fac989289267512020b6da1f5e6f5b4cb SHA512 0b0582e22344ea8a544aba540b56dc36364febfeb5bb655e87277e638fd4e549214a0cd2079a852d15ee376cd51c33794f65a7efb23be9a7a929e889cd616c8c WHIRLPOOL 79796e2f46086b3cae100cda1f1ace48af0e743d5b0129246b4ebf8fd7b46392550a834085c73798e59163cbcc8778251ed7e1d9c1a9036f888e1de265387f16
DIST gnu-efi-3.0.4.tar.bz2 143148 SHA256 51a00428c3ccb96db24089ed8394843c4f83cf8f42c6a4dfddb4b7c23f2bf8af SHA512 f4cf340223835883448c95e893501e9921f6bd869a475a0ba3ba0b8eaada184ebcf617a93c27875684fb0f94bfc6ea2a3b8388100cf67c751122fe86f6820cd0 WHIRLPOOL 729422058532096df53a855f0b2f58371fe79e18005cdfff29d6ee50bf54890414e37122a1aacef1649bb1abce53ffdc3c24527aa8d3c4b57614b20240e7c70c
+DIST gnu-efi-3.0.5.tar.bz2 151844 SHA256 bd8fcd5914f18fc0e4ba948ab03b00013e528504f529c60739b748f6ef130b22 SHA512 848ea9b0a9b900a237d04c2fe95fbaaa08d786c8abe4cbfdca9b666a5cd955ad1097668561aa90899b654a606ff822509fb23b6aeafce69bc4407e5b4547fdcf WHIRLPOOL 34072e108dfc7a69b30c38e0ffc781383fbc7f376c57e13f94b7158afc69dd41433970306088a41bc2c8e26e699de885ddc85e6b2961adab6e93dd4b7e3f80bd
DIST gnu-efi_3.0i-4.diff.gz 4746 SHA256 3f895d26ea855d617513845d4e15a288646d203500b56d9a4f696a6a65799d2e SHA512 bf64a613597f20d06c09a351bf21cf57eea4cf0a46f9d15c7c2e1ba2fa7fc43e45c7a15e38f822a09e17a61299afa271e4228a264fb7c42a19be1666237d757e WHIRLPOOL 4e5c7b59a2982a04e209146981f4c87b911656ea3bd6a8daa4e6cac83ade50a765e49f45aabecb65004db8f37aad5ca2814cfae93e227da7fdf0665d111ff760
DIST gnu-efi_3.0u.orig.tar.gz 159662 SHA256 3c0d450d5829204ca05dcb3b2aae772e52c379b7c7e09146759c6315606f934e SHA512 77224d555befb96b14c20a3a39aacb50ed2db9dfff0c112113c3fb211152106f76cf278b4d37b4251e9f83327c7fd59319e6dee802c97d3bfa7308f7c43b34e3 WHIRLPOOL 1bf63f9f291fd198b97f74542c4344f065cad4ccc1ea0861c421464903bdd23ab1af0a3d3c36d18cfd88fda402184db78ffe9470d0664ff57724380cbd4c4040
diff --git a/sys-boot/gnu-efi/gnu-efi-3.0.5.ebuild b/sys-boot/gnu-efi/gnu-efi-3.0.5.ebuild
new file mode 100644
index 00000000000..3a112c806de
--- /dev/null
+++ b/sys-boot/gnu-efi/gnu-efi-3.0.5.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Library for build EFI Applications"
+HOMEPAGE="http://gnu-efi.sourceforge.net/"
+SRC_URI="mirror://sourceforge/gnu-efi/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+# IA64 build is broken in setjmp code:
+# https://sourceforge.net/p/gnu-efi/bugs/9/
+KEYWORDS="-* ~amd64 ~arm ~arm64 -ia64 ~x86"
+IUSE="abi_x86_32 abi_x86_64"
+
+DEPEND="sys-apps/pciutils"
+RDEPEND=""
+
+# These objects get run early boot (i.e. not inside of Linux),
+# so doing these QA checks on them doesn't make sense.
+QA_EXECSTACK="usr/*/lib*efi.a:* usr/*/crt*.o"
+RESTRICT="strip"
+
+src_prepare() {
+ sed -i -e "s/-Werror//" Make.defaults || die
+ default
+}
+
+efimake() {
+ local arch=
+ case ${CHOST} in
+ arm*) arch=arm ;;
+ aarch64*) arch=aarch64 ;;
+ ia64*) arch=ia64 ;;
+ i?86*) arch=ia32 ;;
+ x86_64*) arch=x86_64 ;;
+ *) die "Unknown CHOST" ;;
+ esac
+
+ local args=(
+ ARCH="${arch}"
+ HOSTCC="${BUILD_CC}"
+ CC="${CC}"
+ AS="${AS}"
+ LD="${LD}"
+ AR="${AR}"
+ PREFIX="${EPREFIX}/usr"
+ LIBDIR='$(PREFIX)'/$(get_libdir)
+ )
+ emake -j1 "${args[@]}" "$@"
+}
+
+src_compile() {
+ tc-export BUILD_CC AR AS CC LD
+
+ # https://bugs.gentoo.org/607992
+ filter-mfpmath sse
+
+ if [[ ${CHOST} == x86_64* ]]; then
+ use abi_x86_32 && CHOST=i686 ABI=x86 efimake
+ use abi_x86_64 && efimake
+ else
+ efimake
+ fi
+}
+
+src_install() {
+ if [[ ${CHOST} == x86_64* ]]; then
+ use abi_x86_32 && CHOST=i686 ABI=x86 efimake INSTALLROOT="${D}" install
+ use abi_x86_64 && efimake INSTALLROOT="${D}" install
+ else
+ efimake INSTALLROOT="${D}" install
+ fi
+ einstalldocs
+}